---
names: 
  full: "Google KMS Crypto Key is anonymously or publicly accessible"
  contextual: "Crypto Key is anonymously or publicly accessible"
description: "It is recommended that the IAM policy on Cloud KMS Crypto Key should restrict anonymous and/or public access."
type: COMPLIANCE_POLICY
categories:
  - "SECURITY"
impossible: true
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/01/09
  - /frameworks/cloudaware/resource-security/public-and-anonymous-access
  - /frameworks/nist-sp-800-53-r5/ac/03
  - /frameworks/nist-sp-800-53-r5/ac/05
  - /frameworks/nist-sp-800-53-r5/ac/06
  - /frameworks/nist-sp-800-53-r5/mp/02
  - /frameworks/pci-dss-v4.0/01/03/01
  - /frameworks/iso-iec-27001-2022/05/10
  - /frameworks/iso-iec-27001-2022/05/15
  - /frameworks/iso-iec-27001-2022/08/03
  - /frameworks/iso-iec-27001-2022/08/04
  - /frameworks/nist-csf-v1.1/pr-ac/04
  - /frameworks/soc-2/cc5/02/03
  - /frameworks/soc-2/cc6/01/03
  - /frameworks/soc-2/cc6/01/07
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity-staging/knowledge-base/gcp/CloudKMS/publicly-accessible-kms-cryptokeys.html"
      name: "Check for Publicly Accessible Cloud KMS Keys"
 